MOUNTD(8)

NAME
mountd - service remote NFS mount requests

SYNOPSIS
mountd [-d] [exportsfile]

DESCRIPTION
mountd is the server for NFS mount requests from other client machines. mountd listens for service requests at the port indicated in the NFS server specification; see RFC 1094, Appendix A and Appendix I.

The options are as follows:

-d  Enable debugging mode. mountd will not detach from the controlling terminal and will print debugging messages to stderr.

exportsfile
    The exportsfile argument specifies an alternate location for the exports file.

When mountd is started, it loads the export host addresses and options into the kernel using the mount(2) system call. After changing the exports file, a hangup signal should be sent to the mountd daemon to get it to reload the export information. After sending the SIGHUP (kill -HUP `cat /var/run/mountd.pid`), check the syslog output to see if mountd logged any parsing errors in the exports file.

FILES
/etc/exports
    list of exported filesystems
/var/run/mountd.pid
    PID of the currently running mountd

SEE ALSO
nfsstat(1), exports(5), nfsd(8), portmap(8), showmount(8)

HISTORY
The mountd utility first appeared in 4.4BSD.

The -n flag historically allowed clients to use non-reserved ports when communicating with mountd. In OpenBSD, a reserved port is always used.